import { jsx } from "react/jsx-runtime";
import { OrangeSliceIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const OrangeSlice = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "OrangeSlice", ...props, children: /* @__PURE__ */ jsx(OrangeSliceIcon, { weight: variant }) });
  }
);
OrangeSlice.displayName = "OrangeSlice";
Object.assign(OrangeSlice, { isGdsIcon: true });
export {
  OrangeSlice
};
